MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions

# src/mixer_type.h File Reference

Go to the source code of this file.

## Enumerations
enum | mixer_type { MIXER_TYPE_UNKNOWN, MIXER_TYPE_NONE, MIXER_TYPE_SOFTWARE, MIXER_TYPE_HARDWARE }
## Functions
enum mixer_type | mixer_type_parse (const char *input)
| Parses a "mixer_type" setting from the configuration file.

## Enumeration Type Documentation

enum mixer_type

Enumerator:

  MIXER_TYPE_UNKNOWN | parser error
  MIXER_TYPE_NONE | mixer disabled
  MIXER_TYPE_SOFTWARE | software mixer with pcm_volume()
  MIXER_TYPE_HARDWARE | hardware mixer (output's plugin)

Definition at line 23 of file mixer_type.h.

## Function Documentation

enum mixer_type mixer_type_parse | ( | const char * | input | ) |

Parses a "mixer_type" setting from the configuration file.

Parameters:

  input | the configured string value; must not be NULL

Returns:
  a mixer_type value; MIXER_TYPE_UNKNOWN means #input could not be parsed